/*!
 * This file is part of the DATAtourisme project.
 * 2022
 * @author Conjecto <contact@conjecto.com>
 * SPDX-License-Identifier: GPL-3.0-or-later
 * For the full copyright and license information, please view the LICENSE file that was distributed with this source code.
 */

/*
 * Component: alert
 * ----------------
 */

.alert {
  @include border-radius(3px);
  h4 {
    font-weight: 600;
  }
  .icon {
    margin-right: 10px;
  }
  .close {
    color: #000;
    @include opacity(.2);
    &:hover {
      @include opacity(.5);
    }
  }
  a {
    color: #fff;
    text-decoration: underline;
  }
}

//Alert Variants
.alert-success {
  @extend .bg-green;
  border-color: darken($green, 5%);
}

.alert-danger,
.alert-error {
  @extend .bg-red;
  border-color: darken($red, 5%);
}

.alert-warning {
  @extend .bg-yellow;
  border-color: darken($yellow, 5%);
}

.alert-info {
  @extend .bg-aqua;
  border-color: darken($aqua, 5%);
}
